Bug 171904 - CVE-2005-2975 gtk2 XPM DoS
CVE-2005-2975 gtk2 XPM DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gtk2 (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Clasen
reported=20051027,embargo=20051115,im...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-27 13:21 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-811
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-15 09:37:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-10-27 13:21:32 EDT
This issue was reported by Ludwig Nussel of Suse.

gtk2 will enter an infinite loop if the number of colors provided is very large,
but not large enough to cause an integer overflow.

Created an attachment (id=120474)
Fix for the large color DoS
Comment 1 Josh Bressers 2005-10-27 13:25:02 EDT
This issue also affects RHEL3
Comment 3 Josh Bressers 2005-11-15 09:09:19 EST
Lifting embargo
Comment 4 Red Hat Bugzilla 2005-11-15 09:37:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-811.html

Note You need to log in before you can comment on or make changes to this bug.